#include "BSprivate.h"

/*+ BSfree_inode_list - Free the i-node list

    Input Parameters:
.   in_data - The structure to be freed

    Returns:
    void

+*/
void BSfree_inode_list(BSinode_list *in_data)
{
	int	i;

	for (i=0;i<in_data->length;i++) {
		MY_FREE(in_data->list[i].row_num);
		MY_FREE(in_data->list[i].nz);
		MY_FREE(in_data->list[i].o_gcol_num);
	}
	MY_FREE(in_data->list[in_data->length].o_gcol_num);
	MY_FREE(in_data->list);
	MY_FREE(in_data);
}
