#include "BSprivate.h"

/*@ BSfree_reperm - Free the reperm data structure

    Input Parameters:
.   reperm - the data structure to be freed

    Returns:
    void

 @*/
void BSfree_reperm(BSreperm *reperm)
{
	BSfree_permutation(reperm->inode_perm); CHKERR(0);
	BSfree_distribution(reperm->inode_distr); CHKERR(0);
	MY_FREE(reperm);
}
